/*************************************************************
Generated for IBM Rational Systems Tester 3.3.0.7.24565 at Fri May 20 01:23:13 PM CEST 2016
Licensed Materials - Property of IBM 
 Copyright IBM Corporation 2002,2016.  All Rights Reserved.

U.S. Government Users Restricted Rights:  Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
*************************************************************/
/*---------------------------------------------------------------------------
 * File Name: example_general.h
 *
 * Description:
 * 	   This is an example implementation of the general part of the
 * Platform Layer.
 */


#ifndef __example_general_h
#define __example_general_h

#ifdef __cplusplus
extern "C" {
#endif

#include "t3rts.h"

/* T3RTS_TRI_SECTION_START */
#ifdef T3PL_TRI
#define ex_tri_error(str, ctx) \
  t3rt_report_error(__LINE__, __FILE__, \
                    t3rt_wide_string_construct_from_ascii((str), \
                                                          t3rt_temp_alloc_c, \
                                                          (ctx)), \
                    (ctx))
#endif
/* T3RTS_TRI_SECTION_END */

#ifdef DEBUG
#ifdef assert
#undef assert
#endif
#define assert(cond) example_assert(cond, #cond, __LINE__, __FILE__)

void example_assert(t3rt_boolean_t cond, const char* cond_str, int line, const char* file);

#else
#include <assert.h>
#endif

#ifdef __cplusplus
}
#endif

#endif

/* End of File */

